## net.sf.saxon.om
Interface LookaheadIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, EmptyIterator, GroupAdjacentIterator, GroupByIterator, GroupEndingIterator, GroupStartingIterator, ListIterator, NodeArrayIterator, NodeListIterator, PositionIterator, RangeIterator, ReverseArrayIterator, ReverseNodeArrayIterator, ReverseRangeIterator, SingleNodeIterator, SingletonIterator, SortedGroupIterator, SortedIterator, SortedTupleIterator, TailIterator, UnionEnumeration, ValueTailIterator

    public interface LookaheadIterator

extends SequenceIterator

A SequenceIterator is used to iterate over a sequence. A LookaheadIterator is one that supports a hasNext() method to determine if there are more nodes after the current node.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`boolean` `hasNext()` Determine whether there are more items to come.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, getProperties, next, position`

Method Detail

### hasNext

    boolean hasNext()

  Determine whether there are more items to come. Note that this operation is stateless and it is not necessary (or usual) to call it before calling next(). It is used only when there is an explicit need to tell if we are at the last element.

  This method must not be called unless the result of getProperties() on the iterator includes the bit setting `SequenceIterator.LOOKAHEAD`

  Returns:
    true if there are more items in the sequence

Copyright (C) Michael H. Kay. All rights reserved.